Bug 108128 - Octal numbers in magic match elements of type string in mime database source xml
Summary: Octal numbers in magic match elements of type string in mime database source xml
Status: RESOLVED FIXED
Alias: None
Product: Specifications
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Allison Lortie (desrt)
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-02 14:08 UTC by Roman
Modified: 2019-02-16 12:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman 2018-10-02 14:08:01 UTC
Some match values of type string in freedesktop.org.xml contain octal numbers written as leading '\' and following octal digits. E.g. "\177ELF". There's no mention of this format in Shared MIME-info Database spec and seems not to be a part of XML format.
Comment 1 David Faure 2018-10-03 02:52:09 UTC
Fixed in git, but website not updated yet (I'll do it from the machine that has the setup, next week).
Comment 2 Roman 2018-10-03 07:40:27 UTC
(In reply to David Faure from comment #1)
> Fixed in git, but website not updated yet

I see.
I also suggest that you add a note whether xml entity decoding must appear before or after decoding escaping characters to avoid ambiguity.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.